<%

' ************************************************************

' Sub calcDaily.  Calculates where on the daily wheel picture goes

' dtStarting--starting date

' dtThis--the date/time of this picture

' intXOut, intYOut are passed back by Reference since vbscript cant handle objects well

' ************************************************************

Sub calcDaily(byVal dtDay, byVal  dtThis, byRef intXOut, byRef intYOut)

	' a bunch of variables (constants for the weekly diagram

	dim intTargetCenterX, intTargetCenterY, intCenterOfFirstRing, intRingWidth, intThumbSize

	intTargetCenterX = 382

	intTargetCenterY = 361

	intCenterOfFirstRing = 173

	intRingWidth = 312

	intThumbSize = 70

	

	dim posSubtract, tempDate

	' distance from center of picture

	posSubtract = intThumbSize/2 

	

	tempDate = dtThis - dtDay

	' if out of range then return 0

	if tempDate>1 or tempDate<0 then

		intXOut = 0

		intYOut = 0

		Exit Sub

	end if

	

	'wacky because the day is backwards in the rings  Afternoon is outside, morning is inside

	dim ring, percent, distance 

	'if tempDate>0.5 then

	'	ring = 0

	'	percent = tempDate - 0.5

	'else

	'	ring = 1

	'	percent = tempDate

	'end if

	percent = tempDate + 0.5

	ring = 0

		

	'calculate.  It's wacky because midnight is at the bottom

	distance = intCenterOfFirstRing + intRingWidth * ring + calcDayRadiusMod(dtThis)

	'percent = percent/0.5

	'response.Write("percent=" & percent)

	' calculate the x, y position of thumbnail

	calcPosition percent, distance, intXOut, intYOut

	intXOut = int(intTargetCenterX + intXOut - posSubtract)

	intYOut = int(intTargetCenterY + intYOut - posSubtract)



End Sub



' ************************************************************

' Sub drawDay

' ************************************************************	

Sub drawDay(byVal day)



	response.Write("<img src=""sitePhotos/35px_day.gif"" STYLE=""Z-INDEX: 1;" _

		& "LEFT: " & (1 + offsetX) & "px; TOP: " & (1 + offsetY) &  "px; POSITION: absolute"">")



	dim objRS 'as adodb.recordset

	set objRS = getQueryRS(cstr(day),cstr(day+1))

	

	dim i, tempX, tempY

	i = 20

	tempX = 0

	tempY = 0

	

	dim lastName

	' loop and pur out

	do until objRS.EOF

		' get the position for this picture

		calcDaily day, cdate(objRS("Date")), tempX, tempY

		writeBigThumb objRS("File"), i, tempX, tempY, ""

		lastName = objRS("File")

		i = i + 1

		objRS.MoveNext

	loop

	

	dim intTargetCenterX, intTargetCenterY

	intTargetCenterX = 367 + offsetX

	intTargetCenterY = 344 + offsetY

	if lastName<>"" then

		writeThumb lastName, i, intTargetCenterX, intTargetCenterY, ""

	else

		writeThumb "noPhotos.gif", i, intTargetCenterX, intTargetCenterY, ""

	end if



	objrs.Close

	

	response.Write ("<SPAN CLASS=""targetRange"">Day of " _

			& FormatDateTime(day,1) & "</SPAN>" & vbcrlf )

	

	' write next

	'response.Write ("<A HREF=""" & request.ServerVariables("PATH_INFO") & "?" _

	'		& "timeRange=Day&" _

	'		& "endDate=" & server.URLEncode(day+1) & "&" _

	'		& "location=" & server.URLEncode(location) & "&" _

	'		& "friend=" & server.URLEncode(friend) _

	'		& """ CLASS=""targetNext"">" _

	'		& "Next" & "</a>" & vbcrlf )

	

	' write previous		

	'response.Write ("<A HREF=""" & request.ServerVariables("PATH_INFO") & "?" _

	'		& "timeRange=Day&" _

	'		& "endDate=" & server.URLEncode(day-1) & "&" _

	'		& "location=" & server.URLEncode(location) & "&" _

	'		& "friend=" & server.URLEncode(friend) _

	'		& """ CLASS=""targetPrevious"">" _

	'		& "Previous" & "</a>" & vbcrlf )

	

End Sub



' function to get the RecordSet for the day

Function getDayRS(byVal day)

	set getDayRS = getQueryRS(cstr(day),cstr(day+1))

End Function



function calcDayRadiusMod(byVal myDate)

	dim tempDiff

	tempDiff =  abs(lastDate-myDate)

	dim allowedDiff

	allowedDiff = 0.022

	calcDayRadiusMod = 0

	

	if tempDiff > allowedDiff then

		calcDayRadiusMod = 0

		lastDate = myDate

		exit function

	end if

	currentTrack = currentTrack + 1

	if currentTrack >7 or currentTrack <1 then

		currentTrack = 1

	end if

	Select Case currentTrack

		case 1

			calcDayRadiusMod = -30

		case 2

			calcDayRadiusMod = 30

		case 3

			calcDayRadiusMod = -60

		case 4

			calcDayRadiusMod = 60

		case 5

			calcDayRadiusMod = -90

		case 6

			calcDayRadiusMod = 90

		case 7

			calcDayRadiusMod = 0

	end Select

		lastDate = myDate

end function



%>