<%

	

' calculates the date that this month calendar should be drawn starting from

'function calcMonthStart(byVal myDate)

	'dim myMonth, myYear, dayOfWeek

	'myMonth = DatePart("m", myDate)

	'myYear = DatePart("yyyy", myDate)

	'myDate = cdate(cstr(myMonth) & "/" & "01/" & cstr(myYear))

	'dayOfWeek = Weekday(myDate, vbSunday)

	'calcMonthStart = myDate - (dayOfWeek -1)

	

	'' transplanted code

'	dim tempRange

'	tempRange = getEndDate(cdate(myDate)-30) - (cdate(myDate)-30)

'	dim tempStart

'	tempStart = cdate(myDate) - cdate(tempRange)

'	calcMonthStart = cdate(tempStart)

	' end transplanted code

'end function



' ************************************************************

' Sub calcMonthly .  Calculates where on the week wheel picture goes

' dtStarting--starting date of inner ring

' dtThis--the date/time of this picture

' intXOut, intYOut are passed back by Reference since vbscript cant handle objects

' ************************************************************

Sub calcMonthly(byVal dtStarting, byVal dtThis, byRef intXOut, byRef intYOut)

	'dtStarting = calcMonthStart(dtStarting)

	' a bunch of variables (constants for the weekly diagram

	dim intTargetCenterX, intTargetCenterY, intCenterOfFirstRing, intRingWidth, intThumbSize

	intTargetCenterX = 389

	intTargetCenterY = 373

	intCenterOfFirstRing = 56

	intRingWidth = 62

	intThumbSize = 35

	

	' distance formula for 45-45-90 triangle since calculating actual square picture, not circle

	dim posSubtract, tempDate

	posSubtract = intThumbSize/2 ' * (1/0.7071) + 0.5)

	

	tempDate = dtThis - dtStarting

	' if out of range then return 0

	if tempDate<0 or tempDate>=35 then

		intXOut = 0

		intYOut = 0

		Exit Sub

	end if

	

	dim difference, ring, percentage, radius

	' get the date and time variables

	difference = dtThis - dtStarting

	ring = int(difference / 7)

	percentage = difference - (ring * 7)

	percentage = percentage / 7

	

	radius = intCenterOfFirstRing + intRingWidth * (4-ring) + calcMonthRadiusMod(dtThis)

	

	' calc radius modification

	

	' calculate the x, y position of thumbnail

	calcPosition percentage, radius, intXOut, intYOut

	intXOut = int(intTargetCenterX + intXOut - posSubtract)

	intYOut = int(intTargetCenterY + intYOut - posSubtract)



End Sub



' ************************************************************

' Sub drawMonth

' ************************************************************	

Sub drawMonth(byVal myDate)

	dim myStart, myEnd

	myStart = myDate

	myEnd = myStart + 35

	



	response.Write("<img src=""sitePhotos/35px_month.gif"" STYLE=""Z-INDEX: 1;" _

		& "LEFT: " & (1 + offsetX) & "px; TOP: " & (1 + offsetY) &  "px; POSITION: absolute"">")

	dim objRS

	set objRS = getQueryRS(cstr(myStart),cstr(myEnd))

	

	dim i, tempX, tempY

	i = 20

	tempX = 0

	tempY = 0

	

	dim lastName

	' loop and put out

	do until objRS.EOF

		' get the position for this picture

		calcMonthly myDate, cdate(objRS("Date")), tempX, tempY

		lastName = objRS("File")

		writeThumb objRS("File"), i, tempX, tempY, ""

		i = i + 1

		objRS.MoveNext

	loop

	objrs.Close

	

	dim intTargetCenterX, intTargetCenterY

	intTargetCenterX = 371 + offsetX

	intTargetCenterY = 354 + offsetY

	if lastName<>"" then

		writeThumb lastName, i, intTargetCenterX, intTargetCenterY, ""

	else

		writeThumb "noPhotos.gif", i, intTargetCenterX, intTargetCenterY, ""

	end if

	

			

	dim tempDay

	for tempDay = myStart to myEnd-1 step 7

		calcMonthly myDate, tempDay, tempX, tempY

		

		tempX = tempX - 30

		tempY = tempY + 15

		'old link code

		'response.Write ("<A HREF=""" & request.ServerVariables("PATH_INFO") & "?" _

		'	& "timeRange=Week&" _

		'	& "endDate=" & server.URLEncode(tempDay+6) & "&" _

		'	& "location=" & server.URLEncode(location) & "&" _

		'	& "friend=" & server.URLEncode(friend) _

		'	& """ CLASS=""targetLabels"" STYLE=""Z-INDEX: " & i & "; LEFT: " _

		'	& tempX &"px; TOP: "& tempY _

		'	& "px; POSITION: absolute;"">" _

		'	& tempDay & "</a>" & vbcrlf )

		

		response.Write ("<A HREF=""" & request.ServerVariables("PATH_INFO") & "?" _

			& "timeRange=Week&" _

			& "m=" & server.URLEncode(Month(tempDay)) & "&" _

			& "d=" & server.URLEncode(Day(tempDay)) & "&" _

			& "y=" & server.URLEncode(Year(tempDay)) & "&" _

			& "location=" & server.URLEncode(location) & "&" _

			& "friend=" & server.URLEncode(friend) _

			& """ CLASS=""targetLabels"" STYLE=""Z-INDEX: " & i & "; LEFT: " _

			& tempX &"px; TOP: "& tempY _

			& "px; POSITION: absolute;"">" _

			& Months(Month(tempDay)) & " " & day(tempDay) & "</a>" & vbcrlf )

		i = i + 1

	next

	

	' write the month at the top

	'response.Write ("<SPAN CLASS=""targetRange"">" _

	'		& FormatDateTime(myStart,1) & "<br>&nbsp;&nbsp;&nbsp;to<br>" & FormatDateTime((myEnd -1),1) & "</SPAN>" & vbcrlf )

			

	response.Write ("<SPAN CLASS=""targetRange"">Month Following " _

			& MonthName(Month(myStart)) & " " & Day(myStart) & ", " & Year(myStart) & "</SPAN>" & vbcrlf )

	

	' write next

	'response.Write ("<A HREF=""" & request.ServerVariables("PATH_INFO") & "?" _

	'		& "timeRange=Month&" _

	'		& "endDate=" & server.URLEncode(cdate(myStart+61)) & "&" _

	'		& "location=" & server.URLEncode(location) & "&" _

	'		& "friend=" & server.URLEncode(friend) _

	'		& """ CLASS=""targetNext"">" _

	'		& "Next" & "</a>" & vbcrlf )

	

	' write previous		

	'response.Write ("<A HREF=""" & request.ServerVariables("PATH_INFO") & "?" _

	'		& "timeRange=Month&" _

	'		& "endDate=" & server.URLEncode(myStart) & "&" _

	'		& "location=" & server.URLEncode(location) & "&" _

	'		& "friend=" & server.URLEncode(friend) _

	'		& """ CLASS=""targetPrevious"">" _

	'		& "Previous" & "</a>" & vbcrlf )

			

	

	' write the fun days of week

	dim days(7)

	days(0) = "Sun"

	days(1) = "Mon"

	days(2) = "Tue"

	days(3) = "Wed"

	days(4) = "Thur"

	days(5) = "Fri"

	days(6) = "Sat"

	

	dim DoW

	DoW = weekday(myStart) - 1

	

	'1

	writeText days(DoW), i, 363, -8

	DoW = Dow + 1

	

	'2

	writeText days(DoW mod 7), i, 666, 127 

	DoW = Dow + 1

	

	'3

	writeText days(DoW mod 7), i, 736, 432 

	DoW = Dow + 1

	

	'4

	writeText days(DoW mod 7), i, 545, 672

	DoW = Dow + 1

	

	'5

	writeText days(DoW mod 7), i, 189, 672

	DoW = Dow + 1

	

	'6

	writeText days(DoW mod 7), i, 2, 430

	DoW = Dow + 1

	

	'7

	writeText days(DoW mod 7), i, 66, 130

	DoW = Dow + 1

	

End Sub



' get the recordset for this month

Function getMonthRS(byVal myDate)

	dim myStart, myEnd

	

	myStart = cdate(myDate)

	myEnd = myStart + 35

	set getMonthRS = getQueryRS(cstr(myStart),cstr(myEnd))

End Function



function calcMonthRadiusMod(byVal myDate)

	dim tempDiff

	tempDiff =  abs(lastDate-myDate)

	dim allowedDiff

	allowedDiff = 0.13

	calcMonthRadiusMod = 0

	

	if tempDiff > allowedDiff then

		calcMonthRadiusMod = 0

		lastDate = myDate

		exit function

	end if

	currentTrack = currentTrack + 1

	if currentTrack >3 or currentTrack <1 then

		currentTrack = 1

	end if

	Select Case currentTrack

		case 1

			calcMonthRadiusMod = -10

		case 2

			calcMonthRadiusMod = 0

		case 3

			calcMonthRadiusMod = 10

	end Select

		lastDate = myDate

end function



%>