<%



	dim days(7)

	days(1) = "Sun"

	days(2) = "Mon"

	days(3) = "Tue"

	days(4) = "Wed"

	days(5) = "Thu"

	days(6) = "Fri"

	days(7) = "Sat"

	

	dim months(12)

	months(1) = "Jan"

	months(2) = "Feb"

	months(3) = "Mar"

	months(4) = "Apr"

	months(5) = "May"

	months(6) = "Jun"

	months(7) = "Jul"

	months(8) = "Aug"

	months(9) = "Sep"

	months(10) = "Oct"

	months(11) = "Nov"

	months(12) = "Dec"



' ************************************************************

' Sub calcWeeklyPosition.  Calculates where on the week wheel picture goes

' dtStarting--starting date of inner ring

' dtThis--the date/time of this picture

' intXOut, intYOut are passed back by Reference since vbscript cant handle objects

' ************************************************************

Sub calcWeekly(byVal dtStarting, byVal dtThis, byRef intXOut, byRef intYOut)

	' a bunch of variables (constants for the weekly diagram

	dim intTargetCenterX, intTargetCenterY, intCenterOfFirstRing, intRingWidth, intThumbSize

	intTargetCenterX = 402

	intTargetCenterY = 367

	intCenterOfFirstRing = 112

	intRingWidth = 35

	intThumbSize = 35

	

	' distance formula for 45-45-90 triangle since calculating actual square picture, not circle

	dim posSubtract

	posSubtract = intThumbSize/2 ' * (1/0.7071) + 0.5)

	

	dim tempDate, tempTime

	tempDate = dtStarting - dtThis

	' if out of range then return 0

	if tempDate>7 or tempDate<0 then

		intXOut = 0

		intYOut = 0

		Exit Sub

	end if

	

	' get thte date and time variables

	tempTime = 1 - (tempDate - int(tempDate))

	tempDate = int(tempDate)

	

	'calculate.  It's wacky because midnight is at the bottom

	dim distance, percentage

	distance = intCenterOfFirstRing + intRingWidth * tempDate

	percentage = tempTime + 0.5

	

	' calculate the x, y position of thumbnail

	calcPosition percentage, distance, intXOut, intYOut

	intXOut = int(intTargetCenterX + intXOut - posSubtract)

	intYOut = int(intTargetCenterY + intYOut - posSubtract)



End Sub



' ************************************************************

' Sub drawWeek

' ************************************************************	

Sub drawWeek(byVal beginWeek)

	dim endWeek

	endWeek = beginWeek + 7



	response.Write("<img src=""sitePhotos/35px_week.gif"" STYLE=""Z-INDEX: 1;" _

		& "LEFT: " & (1 + offsetX) & "px; TOP: " & (1 + offsetY) &  "px; POSITION: absolute"">")

	'dim beginWeek

	'beginWeek = endWeek - 7



	dim objRS 'as adodb.recordset

	

	set objRS = getQueryRS(beginWeek, endWeek)		

	

	dim i, tempX, tempY

	i = 20

	tempX = 0

	tempY = 0

	dim lastName

	' loop and pur out

	do until objRS.EOF

		' get the position for this picture

		calcWeekly endWeek, cdate(objRS("Date")), tempX, tempY

		lastName = objRS("File")

		writeThumb objRS("File"), i, tempX, tempY, ""

		i = i + 1

		objRS.MoveNext

	loop

	objrs.Close

	

	dim intTargetCenterX, intTargetCenterY

	intTargetCenterX = 385 + offsetX

	intTargetCenterY = 350 + offsetY

	if lastName<>"" then

		writeThumb lastName, i, intTargetCenterX, intTargetCenterY, ""

	else

		writeThumb "noPhotos.gif", i, intTargetCenterX, intTargetCenterY, ""

	end if

	

	dim tempDay

	for tempDay = endWeek-1 to endWeek - 7 step -1

		calcWeekly endWeek, tempDay + 0.5 , tempX, tempY

		

		tempX = tempX - 50

		tempY = tempY + 17

		

		'response.Write ("<A HREF=""" & request.ServerVariables("PATH_INFO") & "?" _

		'	& "timeRange=Day&" _

		'	& "endDate=" & server.URLEncode(tempDay) & "&" _

		'	& "location=" & server.URLEncode(location) & "&" _

		'	& "friend=" & server.URLEncode(friend) _

		'	& """ CLASS=""targetLabels"" STYLE=""Z-INDEX: " & i & "; LEFT: " _

		'	& tempX &"px; TOP: "& tempY _

		'	& "px; POSITION: absolute"">" _

		'	& days(Weekday(tempDay, vbSunday)) & "</a>" & vbcrlf )

			

		'old link drawing code

		'response.Write ("<A HREF=""" & request.ServerVariables("PATH_INFO") & "?" _

		'	& "timeRange=Day&" _

		'	& "endDate=" & server.URLEncode(tempDay) & "&" _

		'	& "location=" & server.URLEncode(location) & "&" _

		'	& "friend=" & server.URLEncode(friend) _

		'	& """ CLASS=""targetLabels"" STYLE=""Z-INDEX: " & i & "; LEFT: " _

		'	& tempX &"px; TOP: "& tempY _

		'	& "px; POSITION: absolute"">" _

		'	& days(Weekday(tempDay, vbSunday))& " " &tempDay & "</a>" & vbcrlf )

		

		' new link drawing code	

		response.Write ("<A HREF=""" & request.ServerVariables("PATH_INFO") & "?" _

			& "timeRange=Day&" _

			& "m=" & server.URLEncode(Month(tempDay)) & "&" _

			& "d=" & server.URLEncode(Day(tempDay)) & "&" _

			& "y=" & server.URLEncode(Year(tempDay)) & "&" _

			& "location=" & server.URLEncode(location) & "&" _

			& "friend=" & server.URLEncode(friend) _

			& """ CLASS=""targetLabels"" STYLE=""Z-INDEX: " & i & "; LEFT: " _

			& tempX &"px; TOP: "& tempY _

			& "px; POSITION: absolute"">" _

			& days(Weekday(tempDay, vbSunday))& ", " & " " & Months(Month(tempDay)) & " " & Day(tempDay) & "</a>" & vbcrlf )

		i = i + 1

	next

	' write the week at the top

	response.Write ("<SPAN CLASS=""targetRange"">Week of " _

			& FormatDateTime((endWeek-7), 1) & " to " & FormatDateTime((endWeek-1), 1) & "</SPAN>" & vbcrlf )

	

	'response.Write ("<A HREF=""" & request.ServerVariables("PATH_INFO") & "?" _

	'		& "timeRange=Week&" _

	'		& "endDate=" & server.URLEncode(endWeek+6) & "&" _

	'		& "location=" & server.URLEncode(location) & "&" _

	'		& "friend=" & server.URLEncode(friend) _

	'		& """ CLASS=""targetNext"">" _

	'		& "Next" & "</a>" & vbcrlf )

			

	tempY = tempY + 50

	'response.Write ("<A HREF=""" & request.ServerVariables("PATH_INFO") & "?" _

	'		& "timeRange=Week&" _

	'		& "endDate=" & server.URLEncode(endWeek-8) & "&" _

	'		& "location=" & server.URLEncode(location) & "&" _

	'		& "friend=" & server.URLEncode(friend) _

	'		& """ CLASS=""targetPrevious"">" _

	'		& "Previous" & "</a>" & vbcrlf )

	

End Sub



// return the query for the week

Function getWeekRS(byVal theTime)

	

	dim endWeek

	endWeek = cdate(theTime) + 7





	set getWeekRS = getQueryRS(theTime, endWeek)

End Function

%>

